# ==================================================================
# Plugins::DuplicateURL - Auto Generated Program Module
#
#   Plugins::DuplicateURL
#   Author  : Paul Wilson
#   Version : 1.0.0
#   Updated : Sun Mar 10 14:00:51 2002
#
# ==================================================================
#

package Plugins::DuplicateURL;
# ==================================================================

    use strict;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links::Plugins;
    use Links::SiteHTML;
    use Links qw/$CFG $IN $DB/;

# Inherit from base class for debug and error methods
    @Plugins::DuplicateURL::ISA = qw(GT::Base);

# Your code begins here! Good Luck!


# PLUGIN HOOKS
# ===================================================================


sub check {
# -------------------------------------------------------------------
# This subroutine will get called whenever the hook 'add_link'
# is run. 
#

    my $args = shift;
    my $opts = Links::Plugins->get_plugin_user_cfg('DuplicateURL');
    my $url  = $args->{URL};
    my $cond;
    my $rec  = {};

    if ($opts->{Strict} == 1) {
        $url =~ s|^(http://[^/]+).*$|$1|i; 
        require GT::SQL::Condition;
        $cond = GT::SQL::Condition->new("URL", "LIKE", "$url%");
        $rec  = $DB->table('Links')->select( $cond, ['ID'] )->fetchrow_hashref;
    }
    else {
        $rec = $DB->table('Links')->select( { URL => $args->{URL} }, ['ID'] )->fetchrow_hashref;
    }

    if (defined $rec->{ID}) {
        $args->{error} = $opts->{Error} || q|Duplicate URL's are not allowed!|;
        require Links::User::Add;
        print $IN->header();
        print Links::SiteHTML::display('add', { %$args, Category => Links::User::Add::_category_list() } );
        GT::Plugins->action( STOP );
        exit;
    }
    
    return $args;
    
}

1;