# ==================================================================
# Plugins::DuplicateURL - Auto Generated Install Module
#
#   Plugins::DuplicateURL
#   Author  : Paul Wilson
#   Version : 1.0.0
#   Updated : Sun Mar 10 14:56:30 2002
#
# ==================================================================
#

package Plugins::DuplicateURL;
# ==================================================================
    use strict;
    use vars  qw/$VERSION $DEBUG $NAME $META/;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links qw/$CFG $IN $DB/;

    $VERSION = '1.0.0';
    $DEBUG   = 0;
    $NAME    = 'DuplicateURL';
# Inhert from base class for debug and error methods
    @Plugins::DuplicateURL::ISA = qw(GT::Base);

    $META = {
    'prog_ver' => '2.1.0',
    'description' => 'Stop duplicate URL submissions.',
    'license' => 'Freeware',
    'url' => 'http://www.wiredon.net/',
    'author' => 'Paul Wilson',
    'version' => '1.0.0'
};


sub pre_install {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they install
# the plugin.
#
    my $inst_msg = 'Install me if you want to use the greatest plugin made by the greatest forum member!';

    return $inst_msg;
}

sub pre_uninstall {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they remove the
# plugin.
#
    my $uninst_msg = 'Please....I have a family to feed, and bills to pay....if you uninstall me, my life will be over :(';

    return $uninst_msg;
}

sub install {
# -------------------------------------------------------------------
# This function does the actual installation. It's first argument is
# a plugin manager which you can use to register hooks, install files,
# add menu options, etc. The second argument is a GT::Tar object which
# you can use to access any files in your plugin module.
#
# You should return an HTML formatted string that will be displayed 
# to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::DuplicateURL::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks ( 'DuplicateURL', [ ['add_link', 'PRE', 'Plugins::DuplicateURL::check', 'FIRST'] ]);
    $mgr->install_options ( 'DuplicateURL', [ ['Error', 'No duplicate URL\'s please!', 'Error to show when a duplicate is found.', 'TEXT', []
, []
, '' ] ] );
    $mgr->install_options ( 'DuplicateURL', [ ['Strict', '2', 'Level of strictness. Setting to "Yes" blocks domain matches and setting to "No" stops exact matches.  ', 'SELECT', ['Yes','No']
, ['1','2']
, '' ] ] );
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -------------------------------------------------------------------
# This function removes the plugin. It's first argument is
# also a plugin manager which you can use to register hooks, install files,
# add menu options, etc. You should return an HTML formatted string
# that will be displayed to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::DuplicateURL::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks ( 'DuplicateURL', [ ['add_link', 'PRE', 'Plugins::DuplicateURL::check', 'FIRST'] ]);
    $mgr->uninstall_options ( 'DuplicateURL', [ ['Error', 'No duplicate URL\'s please!', 'Error to show when a duplicate is found.', 'TEXT', []
, []
, '' ] ] );
    $mgr->uninstall_options ( 'DuplicateURL', [ ['Strict', '2', 'Level of strictness. Setting to "Yes" blocks domain matches and setting to "No" stops exact matches.  ', 'SELECT', ['Yes','No']
, ['1','2']
, '' ] ] );
    ;
    return "The plugin has been successfully removed!";
}

1;
